{% extends "base_ajax.html" %}
{% load static %}

{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock extra_head %}

{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-olts" >
  <!-- begin panel-heading -->
  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de equipos internos</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body">
    <!-- begin table-responsive -->
    <div class="col-xs-6" >
      <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear un equipo interno</a>
      </div>
    </div>
    <div class="col-xs-6">
      &nbsp;&nbsp;&nbsp;Filtrar por:
    </div>
    <div class="row">
      
      <div class="col col-lg-3 col-md-6 ">
        <select class="form-control" id="filter_vlan"></select>
      </div>
      <div class="col col-lg-3 col-md-6 "><select class="form-control" id="filter_brand"></select></div>
      <div class="col col-lg-3 col-md-6 "><select class="form-control" id="filter_model"></select></div>
      <div class="col col-lg-3 col-md-6 "><select class="form-control" id="filter_node"></select></div>
    </div>
    
    <div class="table-responsive">
      <table class="table" id="table_gear">
        <thead>
          <tr>
            <th nowrap="">Contador</th>
            <th nowrap="">ID</th>
            <th nowrap="">IP</th>
            <th nowrap="">Descripci&oacute;n</th>
            <th nowrap="">Modelo</th>
            <th nowrap="">MAC</th>
            <th nowrap="">VLAN Managament</th>
            <th nowrap="">Nodo</th>
            <th nowrap="">Último respaldo</th>
            <!-- <th nowrap="">Acciones</th> -->
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>


<div class="modal fade" id="modal-create" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear equipo interno</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15" id="div_ip">
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="ip">IP</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="ip" placeholder="IP del equipo" data-parsley-required="true"
                    pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$"
             />
             <span id="error_ip" class="text-danger" ></span>
          </div>
        </div>        
        <div class="form-group row m-b-15" id="div_mac">
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="mac">MAC</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="mac" placeholder="MAC del equipo" data-parsley-required="true" />
             <span id="error_mac" class="text-danger" ></span>
          </div>
        </div>        
        <div class="form-group row m-b-15" id="div_vlan" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="vlan">Management Vlan</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="vlan" placeholder="Management Vlan del equipo" data-parsley-required="true" />
             <span id="error_vlan" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15" id="div_node" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="node">Nodo</label>
          <div class="col col-md-8 col-sm-8">
            <select style="width: 100%" class="form-control" id="node">
            </select>
             <span id="error_node" class="text-danger" ></span>
          </div>
        </div>


        <div class="form-group row m-b-15" id="div_model" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="model">Modelo</label>
          <div class="col col-md-8 col-sm-8">
            <select style="width: 100%" class="form-control" id="model">
            </select>
             <span id="error_model" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15" id="div_firmware" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="firmware">Firmware Version</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="firmware" placeholder="Firmware Version del equipo" data-parsley-required="true" />

             <span id="error_firmware" class="text-danger" ></span>
          </div>
        </div>
        
        <div class="form-group row m-b-15" id="div_description" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="descripcion">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="description" rows="4" data-parsley-required="true" placeholder="" required="true"></textarea>

             <span id="error_description" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_notes" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="notes">Notas internas</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="notes" rows="4" data-parsley-required="true" placeholder="" required="true"></textarea>

             <span id="error_notes" class="text-danger" ></span>
          </div>
        </div>




      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="newGear()">Crear Equipo interno</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>
<script src="{% static 'scripts/gear_list.js' %}"></script>
{% endblock extra_js %}
